QGIS Application - Bug report #7253
save problem on units DegreesMinutesSeconds
2013-02-28 04:06 AM - wayne wang

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 16274
Description

when set "Layer units" of "Project properties" to "Degrees, Minutes, Seconds" and save the project ,
the "unit" setting of the project file changes to "unknown".

psw : it's because the methods "writeXml() and "readXmil()" in "src/core/qgsmaprender.cpp" lack operation for
QGis::DegreesMinutesSeconds.

History

#1 - 2013-03-01 03:42 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category set to Project Loading/Saving

Please submit a patch. cheers!

#2 - 2013-03-06 12:25 AM - wayne wang
- File dms.patch added

see attachment.

#3 - 2013-03-06 12:52 AM - Giovanni Manghi
- Pull Request or Patch supplied changed from No to Yes

wayne wang wrote:

see attachment.

to raise the chance to see this patch reviewed and applied it would be better to submit it as pull request on github

https://github.com/qgis/Quantum-GIS/pulls

#4 - 2014-06-23 03:09 AM - Giovanni Manghi
- Resolution set to fixed/implemented
https://github.com/qgis/Quantum-GIS/pulls

- Status changed from Feedback to Closed

does not happen on ggis master, so it should have been fixed along the way since qgis 1.8

Files

dms.patch 618 Bytes 2013-03-05 wayne wang
